// MIXINS, VARIABLES & EXTENDS:

@import "assets";

// BOOKLETS:

#booklets {
  @include shadow;
  :global(#booklets-index) {
    @include inline-flex();
    @include flex-direction(column);
    @include align-items(flex-start);
    a {
      color: inherit;
      text-decoration: none;
      :global(.booklet) {
        @include flexbox();
        @include align-items(center);
        @include border-radius(5px);
        margin-bottom: 20px;
        background-color: $background-blue;
        padding: 15px;
        box-shadow: var(--shadow-elevation);
        :global(.image) {
          @include flex(0 0 content);
        }
        :global(.text) {
          margin-left: 15px;
          h2 {
            margin-bottom: 15px;
          }
        }
      }
    }
  }

  &:global(.rtl) {
    :global(#booklets-index) {
      a {
        :global(.booklet) {
          :global(.text) {
            margin: 0 15px 0 0;
          }
        }
      }
    }
  }

  :global(#load-more-buton) {
    display: block;
    @include basic-button;
  }

  @media screen and (max-width: $smartphone-width) {
    :global(#booklets-index) {
      @include flexbox();
      @include align-items(center);
      a {
        :global(.booklet) {
          @include flex-direction(column);
          align-self: center;
          :global(.text) {
            margin: 15px 0 0 0;
            text-align: center;
          }
        }
      }
    }
    &:global(.rtl) {
      :global(#booklets-index) {
        a {
          :global(.booklet) {
            :global(.text) {
              margin: 15px 0 0 0;
            }
          }
        }
      }
    }
    :global(#load-more-buton) {
      margin: 0 auto;
    }
  }
}
